Jack::JackLibGlobals Struct Reference

Global library static structure: singleton kind of pattern. More...

`#include <JackLibGlobals.h>`

## Static Public Member Functions

static void | Init ()
static void | Destroy ()

## Public Attributes

JackShmReadWritePtr< JackGraphManager > | fGraphManager
JackShmReadWritePtr< JackEngineControl > | fEngineControl
JackSynchro | fSynchroTable [CLIENT_NUM]
sigset_t | fProcessSignals

## Static Public Attributes

static int | fClientCount = 0
static JackLibGlobals * | fGlobals = NULL

## Detailed Description

Global library static structure: singleton kind of pattern.

Definition at line 53 of file JackLibGlobals.h.

## Member Data Documentation

JackShmReadWritePtr<JackEngineControl> Jack::JackLibGlobals::fEngineControl

Shared memory Port manager

Definition at line 56 of file JackLibGlobals.h.

JackSynchro Jack::JackLibGlobals::fSynchroTable[CLIENT_NUM]

Shared engine control

Definition at line 57 of file JackLibGlobals.h.

sigset_t Jack::JackLibGlobals::fProcessSignals

Shared synchro table

Definition at line 58 of file JackLibGlobals.h.

The documentation for this struct was generated from the following files:

- JackLibGlobals.h
- JackLibAPI.cpp